org.apache.mina.handler.multiton

## Interface SingleSessionIoHandlerFactory

- Deprecated.

      @Deprecated
      public interface SingleSessionIoHandlerFactory

  A factory that creates `SingleSessionIoHandler` to be used with one particular session.
  Author:
    Apache MINA Project
  See Also:
    `SingleSessionIoHandler`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SingleSessionIoHandler` | `getHandler(IoSession session)` Deprecated. Returns a `SingleSessionIoHandler` for the given session.

- - ### Method Detail

    - #### getHandler

          SingleSessionIoHandler getHandler(IoSession session)
                                            throws Exception

      Deprecated.
      Returns a `SingleSessionIoHandler` for the given session.
      Parameters:
        `session` - the session for which a handler is requested
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.